Loading...
Searching...
No Matches
svn_fs_fsx_info_t Struct Reference
Filesystem information subsystem

A structure that provides some information about a filesystem. More...

`#include <svn_fs.h>`

## Data Fields

const char * | fs_type
| Filesystem backend (fs_type), i.e., the string SVN_FS_TYPE_FSX.
int | shard_size
| Shard size, always > 0.
svn_revnum_t | min_unpacked_rev
| The smallest revision which is not in a pack file.

## Detailed Description

A structure that provides some information about a filesystem.

Returned by svn_fs_info() for SVN_FS_TYPE_FSX filesystems.

Note
  Fields may be added to the end of this structure in future versions. Therefore, users shouldn't allocate structures of this type, to preserve binary compatibility.

Since
  New in 1.9.

Definition at line 3447 of file svn_fs.h.

## Field Documentation

## fs_type

const char* svn_fs_fsx_info_t::fs_type

Filesystem backend (fs_type), i.e., the string SVN_FS_TYPE_FSX.

Definition at line 3450 of file svn_fs.h.

## min_unpacked_rev

svn_revnum_t svn_fs_fsx_info_t::min_unpacked_rev

The smallest revision which is not in a pack file.

Definition at line 3456 of file svn_fs.h.

## shard_size

int svn_fs_fsx_info_t::shard_size

Shard size, always > 0.

Definition at line 3453 of file svn_fs.h.

The documentation for this struct was generated from the following file:

- svn_fs.h